/**
 * JASMINe
 * Copyright (C) 2011 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: ProbeEvent.java 7786 2011-03-03 10:51:54Z durieuxp $
 * --------------------------------------------------------------------------
 */

package org.ow2.jasmine.monitoring.mbeancmd.api;

import java.io.Serializable;

/**
 * @author durieuxp
 */
public class ProbeEvent implements Serializable {

    private static final long serialVersionUID = -6711641493993118511L;

    /**
     * Ident of the Probe
     */
    protected Integer probeId;

    /**
     * State of the Probe
     * State values are defined in Probe
     */
    protected int state;

    /**
     * Error message, if state = failed.
     */
    protected String error;

    public ProbeEvent() {
    }

    public ProbeEvent(Integer id, int state, String error) {
        this.probeId = id;
        this.state = state;
        this.error = error;
    }

    public Integer getProbeId() {
        return probeId;
    }

    public void setProbeId(Integer id) {
        probeId = id;
    }

    public int getState() {
        return state;
    }

    public void setState(int val) {
        state = val;
    }

    public String getError() {
        return error;
    }

    public void setError(String e) {
        error = e;
    }
}
